import 'package:flagship_flutter/model/campaign.dart';
import 'package:flagship_flutter/model/campaigns.dart';
import 'package:flagship_flutter/model/modification.dart';

abstract class IDecisionManager {
  Future<Campaigns> getCampaigns(
      String envId, String visitorId, Map<String, Object> context);

  Map<String, Modification> getModifications(List<Campaign> campaigns);
}
